### Class

# Qrtr Client

since: 1.0

#### Description [src]

    class Qrtr.Client : GObject.Object
      implements Gio.Initable {
      /* No available fields */
    }

The `QrtrClient` structure contains private data and should only be accessed using the provided API.

Available since: 1.0

#### Ancestors

- GObject

#### Implements

- GInitable

#### Constructors

###### qrtr_client_new

Creates a new `QrtrClient` to communicate with `port` at `QrtrNode`.

since: 1.0

#### Instance methods

###### qrtr_client_get_node

Get the `QrtrNode` that this client refers to.

since: 1.0

###### qrtr_client_get_port

Gets the node port where this client communicates.

since: 1.0

###### qrtr_client_peek_node

Get the `QrtrNode` that this client refers to, without increasing the reference count on the returned object.

since: 1.0

###### qrtr_client_send

Sends a message to the port at the node.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

###### Qrtr.Client:client-node

No description available.

since: 1.0

###### Qrtr.Client:client-port

No description available.

since: 1.0

#### Signals

###### Qrtr.Client::client-message

The ::client-message signal is emitted when a message is received from the port in the node.

since: 1.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct QrtrClientClass {
      /* no available fields */
    }

No description available.